Bug 456386 - Bug in unflaging collapsed threads in the threads pane
Bug in unflaging collapsed threads in the threads pane
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
4.6
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 05:45 EDT by lihuang
Modified: 2012-04-06 10:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-06 10:44:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (86.68 KB, image/png)
2008-07-23 05:45 EDT, lihuang
no flags Details
screen shot (88.13 KB, image/png)
2008-07-23 05:49 EDT, lihuang
no flags Details

  None (edit)
Description lihuang 2008-07-23 05:45:10 EDT
Description of problem:
all messages in the  collapsed threads change to unflagged  when unflag the
collapsed threads

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.12-14..el4.x86_64 

How reproducible:
Everytime

Steps to Reproduce:
1.From the Menu item: Message|Mark |Flag to  unflag collapsed threads in the
threads pane 
2.Expand the threads.Right click on the second message in the threads.Choice
'Mark' to check the flag's status
3.
  
Actual results:
1. The message is unflagged. and the result is inconsistent with 'Flag column' 
*see the screen shot*
 

Expected results:
Only the first message in the threads unflagged

Additional info:
Reproduced this problem with thunderbird-1.5.0.12-14.el4.i386
Comment 1 lihuang 2008-07-23 05:45:10 EDT
Created attachment 312436 [details]
screen shot
Comment 2 lihuang 2008-07-23 05:49:40 EDT
Created attachment 312438 [details]
screen shot

In the step1  use short cut keys 'i' to unflag collapsed threads would get the
right result .. (see the screen shot)
Comment 3 Matěj Cepl 2008-07-30 03:10:03 EDT
Yes, can reproduce with the same release of package. The logic "whatever you do
to the collapsed thread happens on all messages of the thread" doesn't work here.
Comment 4 RHEL Product and Program Management 2008-10-31 12:38:04 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Jan Horak 2012-04-06 10:44:29 EDT
RHEL4 is EOL now. Closing as wont fix. If you found such behaviour in RHEL5 or RHEL6 please reopen. There shouldn't be such problem because recently we've rebased to version 10.

Note You need to log in before you can comment on or make changes to this bug.